HostingVault

Update Vault email account status

PUT/api/archive/domains/{domain_code}/email_accounts/{email_code}/status

Enables or disables Vault archiving for an email account.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

email_code*string

Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

status*string

New Vault email account status.

  • enabled = active and usable.
  • disabled = disabled.
Values enabled | disabled

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/archive/domains/string/email_accounts/string/status" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "status": "enabled"  }'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}